Skip to main content
GET
/
v1
/
prices
List Prices
curl --request GET \
  --url https://api.withflex.com/v1/prices \
  --header 'Authorization: Bearer <token>'
{
  "prices": [
    {
      "price_id": "obj_01EXAMPLE00000000000000000",
      "description": "string",
      "trial_period_days": 0,
      "unit_amount": 0,
      "recurring": {},
      "active": false,
      "created_at": "2024-01-01T00:00:00Z",
      "type": "one_time",
      "metadata": {},
      "hsa_fsa_eligibility": "not_eligible",
      "test_mode": false
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.withflex.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Query Parameters

limit
integer<int32> | null

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Example:

10

offset
integer<int32> | null

Number of objects to skip before returning results.

Example:

0

active
boolean | null

Only return prices where active matches this value.

Example:

false

product
string | null

Filter by product ID to return prices for a specific product.

Example:

"obj_01EXAMPLE00000000000000000"

expand_product
boolean | null

If true, expands the product object in the response.

Example:

false

starting_after
string | null

A cursor for use in pagination. starting_after is a price ID that defines your place in the list. For instance, if you make a list request and receive 20 prices, ending with fprice_xyz, your subsequent call can include starting_after=fprice_xyz to fetch the next page.

Example:

"obj_01EXAMPLE00000000000000000"

ending_before
string | null

A cursor for use in pagination. ending_before is a price ID that defines your place in the list. For instance, if you make a list request and receive 20 prices, starting with fprice_abc, your subsequent call can include ending_before=fprice_abc to fetch the previous page.

Example:

"obj_01EXAMPLE00000000000000000"

Response

Success

prices
object[]
required